(SETQ TOPLOOPNAME!* "")

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Copyright (C) 1992,1994,1995,1996,2002 Joergen Backelin
%%
%% Bergman is distributed in the hope that it will be useful,
%% but WITHOUT ANY WARRANTY.  No author or distributor
%% accepts responsibility to anyone for the consequences of using it
%% or for whether it serves any particular purpose or works at all,
%% unless (s)he says so in writing.  Refer to the Bergman General
%% License Public for full details.

%% Everyone is granted permission to copy, modify and redistribute
%% bergman, but only under the conditions described in the
%% Bergman General Public License.   A copy of this license is
%% supposed to have been given to you along with bergman so you
%% can know your rights and responsibilities.  It should be in a
%% file named copyright.  Among other things, the copyright notice
%% and this notice must be preserved on all copies.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%	CHANGES:

%  hscomm added./JoeB 2002-10-12

%  pbseries removed./JoeB 1999-11-04

%  modinout.sl, modes.sl added/JoeB 1997-09-17

%  The architecture handling adopted to `kzz type'/JoeB 1996-11-26.

%14.08.96 Svetlana Cojocaru, Victor Ufnarovski
%The module "full" is divided into two parts to respect the restriction
%on the length of a FASLOUT output file - no more than 64K.
%The module sermul.sl is included additionaly (series multiplication).


% To begin with, only the most raw Standard Lisp procedures are
% expexted. Here follows three LAPINs (reading and evaling
% but suppressing printing from entire files).

(C-OFF RAISE)
(LOAD "versmacr.sl")
(C-OFF RAISE)
(LOAD "specmode.sl")
(C-OFF RAISE)
(LOAD "specmacr.sl")
(C-OFF RAISE)
(COND ((PROBE-FILE "speccmp1.sl")
	       (LOAD "speccmp1.sl")))

;slext
(C-OFF RAISE)
(COMPILE-AND-LOAD (MKBMPATHEXPAND "$bmsrc/slext.sl"))
(C-OFF RAISE)
(COMPILE-AND-LOAD (MKBMPATHEXPAND "$bmexe/speclisp.sl"))

(C-OFF RAISE)
(LOAD (MKBMPATHEXPAND "$bmsrc/macros.sl"))
(C-OFF RAISE)
(RECLAIM)

;full
% (OFF USERMODE)
(C-OFF RAISE)
(COMPILE-AND-LOAD (MKBMPATHEXPAND "$bmsrc/modes.sl"))
(C-OFF RAISE)
(COMPILE-AND-LOAD (MKBMPATHEXPAND "$bmsrc/main.sl"))
(C-OFF RAISE)
(COMPILE-AND-LOAD (MKBMPATHEXPAND "$bmsrc/inout.sl"))
(C-OFF RAISE)
(COMPILE-AND-LOAD (MKBMPATHEXPAND "$bmsrc/monom.sl"))
(C-OFF RAISE)
(COMPILE-AND-LOAD (MKBMPATHEXPAND "$bmsrc/ncmonom.sl"))
% normwd inserted by KAE 2002-09-01 13:18:33 
(C-OFF RAISE)
(COMPILE-AND-LOAD (MKBMPATHEXPAND "$bmsrc/normwd.sl"))
(C-OFF RAISE)
(COMPILE-AND-LOAD (MKBMPATHEXPAND "$bmsrc/reclaim.sl"))
(C-OFF RAISE)
(COMPILE-AND-LOAD (MKBMPATHEXPAND "$bmsrc/polynom.sl"))
(C-OFF RAISE)
(COMPILE-AND-LOAD (MKBMPATHEXPAND "$bmsrc/reduct.sl"))

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%14.08.96 Svetlana Cojocaru, Victor Ufnarovski
%The module "full" is divided into two parts to respect the restriction
%on the length of a FASLOUT output file - no more than 64K.
%The module sermul.sl is included additionaly (series multiplication).
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

;full1
(C-OFF RAISE)
(COMPILE-AND-LOAD (MKBMPATHEXPAND "$bmsrc/coeff.sl"))
(C-OFF RAISE)
(COMPILE-AND-LOAD (MKBMPATHEXPAND "$bmsrc/char0.sl"))
(C-OFF RAISE)
(COMPILE-AND-LOAD (MKBMPATHEXPAND "$bmsrc/strategy.sl"))
(RECLAIM)

% Compilation of auxiliary units:
;pbseries
;(C-OFF RAISE)
;(COMPILE-AND-LOAD (MKBMPATHEXPAND "$bmsrc/pbseries.sl"))
;(RECLAIM)

(C-OFF RAISE)

(COND ((PROBE-FILE (MKBMPATHEXPAND "$bmexe/alg2lsp.sl"))
;alg2lasp
       (COMPILE-AND-LOAD (MKBMPATHEXPAND "$bmexe/alg2lsp.sl"))
       (RECLAIM))
      (T 
       (PRIN2 "*** I could not find alg2lsp.sl; hope it's OK")
       (TERPRI)))

;char2
(C-OFF RAISE)
(COMPILE-AND-LOAD (MKBMPATHEXPAND "$bmsrc/char2.sl"))
(RECLAIM)

% Extras (under development):
;auxil
(C-OFF RAISE)
(COMPILE-AND-LOAD (MKBMPATHEXPAND "$bmsrc/auxil.sl"))
(C-OFF RAISE)
(COMPILE-AND-LOAD (MKBMPATHEXPAND "$bmsrc/homog.sl"))
(RECLAIM)

% Staggering substantial stuff:
% (OFF REDEFMSG) (OFF USERMODE) (ON GC)
(C-OFF RAISE)
(LOAD (MKBMPATHEXPAND "$bmsrc/stg/accmacr.sl"))
(C-OFF RAISE)
(LOAD (MKBMPATHEXPAND "$bmsrc/stg/subsmacr.sl"))
(C-OFF RAISE)
(LOAD (MKBMPATHEXPAND "$bmsrc/stg/midmacr.sl"))
(C-OFF RAISE)
% (ON REDEFMSG)

;stg
(COMPILE-AND-LOAD (MKBMPATHEXPAND "$bmsrc/stg/checkstg.sl"))
(C-OFF RAISE)
(COMPILE-AND-LOAD (MKBMPATHEXPAND "$bmsrc/stg/accproc.sl"))
(C-OFF RAISE)
(COMPILE-AND-LOAD (MKBMPATHEXPAND "$bmsrc/stg/subsproc.sl"))
(C-OFF RAISE)
(COMPILE-AND-LOAD (MKBMPATHEXPAND "$bmsrc/stg/stg.sl"))
(C-OFF RAISE)
(COMPILE-AND-LOAD (MKBMPATHEXPAND "$bmsrc/stg/monomstg.sl"))
(C-OFF RAISE)
(COMPILE-AND-LOAD (MKBMPATHEXPAND "$bmsrc/stg/bind.sl"))
(C-OFF RAISE)
(COMPILE-AND-LOAD (MKBMPATHEXPAND "$bmsrc/stg/write.sl"))
(C-OFF RAISE)
(COMPILE-AND-LOAD (MKBMPATHEXPAND "$bmsrc/stg/ideal.sl"))
(RECLAIM)

%  New July and August 1996:

(C-OFF RAISE)
(LOAD (MKBMPATHEXPAND "$bmsrc/hmacro.sl"))
;hseries
(C-OFF RAISE)
(COMPILE-AND-LOAD (MKBMPATHEXPAND "$bmsrc/hseries.sl"))
(C-OFF RAISE)
(COMPILE-AND-LOAD (MKBMPATHEXPAND "$bmsrc/hscomm.sl"))
(C-OFF RAISE)
(COMPILE-AND-LOAD (MKBMPATHEXPAND "$bmsrc/modinout.sl"))
(C-OFF RAISE)
(COMPILE-AND-LOAD (MKBMPATHEXPAND "$bmsrc/sermul.sl"))
;------
(RECLAIM)

% Set-up dependent compilation demands, et cetera.
(C-OFF RAISE)
(COND ((SETQ temp (PROBE-FILE (MKBMPATHEXPAND "$bmexe/speccmp2.sl")))
       (LOAD temp)))












